Skip to content
Start here

Get logo queries

client.brandProtection.v2.logos.get(LogoGetParams { account_id, id, download } params, RequestOptionsoptions?): LogoGetResponse { id, r2_path, similarity_threshold, 4 more }
GET/accounts/{account_id}/cloudforce-one/v2/brand-protection/logo/queries

Get all saved brand protection logo queries for an account. Optionally specify id to get a single query. Set download=true to include base64-encoded image data.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
ParametersExpand Collapse
params: LogoGetParams { account_id, id, download }
account_id: string

Path param

minLength1
id?: string

Query param: Optional query ID to retrieve a specific logo query

download?: string

Query param: If true, include base64-encoded image data in the response

ReturnsExpand Collapse
LogoGetResponse = Array<LogoGetResponseItem>
id: number
r2_path: string
similarity_threshold: number
tag: string
uploaded_at: string | null
content_type?: string

MIME type of the image (only present when download=true)

image_data?: string

Base64-encoded image data (only present when download=true)

Get logo queries

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const logos = await client.brandProtection.v2.logos.get({ account_id: 'x' });

console.log(logos);
[
  {
    "id": 0,
    "r2_path": "r2_path",
    "similarity_threshold": 0,
    "tag": "tag",
    "uploaded_at": "uploaded_at",
    "content_type": "content_type",
    "image_data": "image_data"
  }
]
Returns Examples
[
  {
    "id": 0,
    "r2_path": "r2_path",
    "similarity_threshold": 0,
    "tag": "tag",
    "uploaded_at": "uploaded_at",
    "content_type": "content_type",
    "image_data": "image_data"
  }
]